[tool.poetry]
name = "addressex"
version = "0.1.0"
description = "Address parser API"
authors = ["EmCasa Developer <dev@emcasa.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.12"
postal = "^1.1.10"
pynest-api = "^0.1.2"

[tool.poetry.group.dev.dependencies]
ipython = "^8.20.0"
pytest = "^7.4.4"
black = "^23.11.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
